Subject: bug#878: loginctl[2676]: Failed to connect to bus: No such file or directory

From: Andrew Bower <[email-masked]>
Date: Sun, 16 Mar 2025 21:17:20 +0000

On Sun, Mar 16, 2025 at 07:19:10PM +0000, Mark Hindley wrote:
> On Sun, Mar 16, 2025 at 09:22:13AM +0000, Andrew Bower wrote:
> > > > I see this reported through syslog at the error level:
> > > > 
> > > >   loginctl[2676]: Failed to connect to bus: No such file or directory
> > > 
> > > Is this every time or only the first time?
> > 
> > Once on startup. I've not noticed any functional degradation.
> 
> So where is that loginctl call coming from? It looks like it happens *before*
> the system dbus is started.

I suspect it's the elogind check script (/etc/sv/elogind/check). Let's
bring in Lorenzo.